## com.baidubce.services.ses.model
Class SesRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.ses.model.SesRequest

Direct Known Subclasses:
  DeleteTemplateRequest, DeleteVerifiedDomainRequest, DeleteVerifiedEmailRequest, EnableDKIMRequest, GetVerifiedDomainRequest, GetVerifiedEmailRequest, IsInRecipientBlacklistRequest, SendEmailRequest, SetFeedbackRequest, SetQuotaRequest, VerifyDKIMRequest, VerifyDomainRequest, VerifyEmailRequest

    public class SesRequest

extends AbstractBceRequest

The Base class of all SES request。 All of SES request should extend it.

Constructor Summary
`SesRequest()`

Method Summary
`BceCredentials` `getRequestCredentials()` Returns the optional credentials to use to sign this request, overriding the default credentials set at the client level.
`void` `setRequestCredentials(BceCredentials credentials)` Sets the optional credentials to use for this request, overriding the default credentials set at the client level.
`SesRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SesRequest

    public SesRequest()

Method Detail

### getRequestCredentials

    public BceCredentials getRequestCredentials()

  Description copied from class: `AbstractBceRequest`
  Returns the optional credentials to use to sign this request, overriding the default credentials set at the client level.

  Overrides:
    `getRequestCredentials` in class `AbstractBceRequest`
  Returns:
    The optional credentials to use to sign this request, overriding the default credentials set at the client level.

### setRequestCredentials

    public void setRequestCredentials(BceCredentials credentials)

  Description copied from class: `AbstractBceRequest`
  Sets the optional credentials to use for this request, overriding the default credentials set at the client level.

  Overrides:
    `setRequestCredentials` in class `AbstractBceRequest`
  Parameters:
    `credentials` - The optional BCE security credentials to use for this request, overriding the default credentials set at the client level.

### withRequestCredentials

    public SesRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.